package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 收货报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbReceiptorderitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbReceiptorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbReceiptorderitemsMapper.addSKcBbReceiptorderitems", pd);
    }

    public List<PageData> findSKcBbReceiptorderitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbReceiptorderitemsMapper.selectSKcBbReceiptorderitemsList", pd);
    }

    public Integer SKcBbReceiptorderitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbReceiptorderitemsMapper.SKcBbReceiptorderitemsRemove", pd);
    }


    public Integer updateSKcBbReceiptorderitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbReceiptorderitemsMapper.updateSKcBbReceiptorderitems", pd);
    }

}
